Subject: bug#44931: closed (Re: [bug#44931] [PATCH 1/1] upgrade: Allow several regexps.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Dec 2020 10:37:02 +0000

Your bug report

#44931: [PATCH 0/1] upgrade: Allow several regexps (fix #44928).

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44931: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44931
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44931] [PATCH 1/1] upgrade: Allow several regexps.
From: Mathieu Othacehe <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Dec 2020 11:36:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey zimoun,

> +    (values (alist-cons 'upgrade arg
> +                           (delete '(upgrade . #f) result))

I fixed the indentation and the matching commentary and pushed as
86971616c139597ffa9e20acc75533ff90176450.

Thanks,

Mathieu

Subject: [PATCH 0/1] upgrade: Allow several regexps (fix #44928).
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Sat, 28 Nov 2020 21:26:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

Fixes <https://bugs.gnu.org/44928> describing that the 2nd raises an error:

  $ guix upgrade foo bar
  guix upgrade: error: bar: extraneous argument

And it is not the case with "guix package -u foo bar".  I am not convinced by
the patch but after thinking a bit, the 'match' does not seem necessary
because the options are correctly handled by SRFI-37 and any extra term is
potentially an other regexp.  The 'opts' is correctly formed and then
"guix-package" does all the job.

Well, I have been too lazy to create something in the test suite; someone
should do. :-)  Testing "guix package --upgrade" and "guix upgrade".  Maybe a
v2 of this tiny patch? ;-)

Feedback welcome.

All the best,
simon

zimoun (1):
  upgrade: Allow several regexps.

 guix/scripts/upgrade.scm | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

base-commit: 8ea2d7c2fa4d4ad7b4cf522fa259561beeeda072
-- 
2.29.2